/*===========================================================================*/
/*   (Globalize/walk.scm)                                                    */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Globalize/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_methodzd2initzd2zzglobaliza7e_walkza7();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT obj_t string_to_bstring(char *);
extern obj_t BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75();
static obj_t BGl_cnstzd2initzd2zzglobaliza7e_walkza7();
static obj_t BGl__globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t, obj_t, obj_t);
extern obj_t BGl_globaliza7ez12zb5zzglobaliza7e_globaliza7ez00(BgL_globalz00_bglt);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_walkza7();
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t, obj_t);
extern obj_t BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(BgL_variablez00_bglt);
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_escapeza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_walkza7 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_walkza7();
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_globaliza7ezd2walkz12zd2envzb5zzglobaliza7e_walkza7, BgL_bgl__globaliza7a7eza7d2walkza712za767za7za7globaliza7a7e_walkza7a73164z00, BGl__globaliza7ezd2walkz12z67zzglobaliza7e_walkza7, 0L, 2 );
DEFINE_STRING( BGl_string3135z00zzglobaliza7e_walkza7, BgL_bgl_string3135za700za7za7globaliza7a7e_walkza7a73165za7, "pass-started ", 13 );
DEFINE_STRING( BGl_string3134z00zzglobaliza7e_walkza7, BgL_bgl_string3134za700za7za7globaliza7a7e_walkza7a73166za7, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3133z00zzglobaliza7e_walkza7, BgL_bgl_string3133za700za7za7globaliza7a7e_walkza7a73167za7, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3132z00zzglobaliza7e_walkza7, BgL_bgl_string3132za700za7za7globaliza7a7e_walkza7a73168za7, " error", 6 );
DEFINE_STRING( BGl_string3131z00zzglobaliza7e_walkza7, BgL_bgl_string3131za700za7za7globaliza7a7e_walkza7a73169za7, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3130z00zzglobaliza7e_walkza7, BgL_bgl_string3130za700za7za7globaliza7a7e_walkza7a73170za7, "   . ", 5 );
DEFINE_STRING( BGl_string3129z00zzglobaliza7e_walkza7, BgL_bgl_string3129za700za7za7globaliza7a7e_walkza7a73171za7, "Globalization", 13 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(long BgL_checksumz00_1112, char * BgL_fromz00_1113)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_walkza7))
{ 
BGl_requirezd2initializa7ationz75zzglobaliza7e_walkza7 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzglobaliza7e_walkza7(); 
BGl_cnstzd2initzd2zzglobaliza7e_walkza7(); 
BGl_importedzd2moduleszd2initz00zzglobaliza7e_walkza7(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_walkza7()
{ AN_OBJECT;
{ /* ./Globalize/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "globalize_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzglobaliza7e_walkza7()
{ AN_OBJECT;
{ /* ./Globalize/walk.scm 15 */
{ /* ./Globalize/walk.scm 15 */
obj_t BgL_cportz00_1105;
BgL_cportz00_1105 = 
open_input_string(BGl_string3135z00zzglobaliza7e_walkza7); 
{ 
long BgL_iz00_1106;
BgL_iz00_1106 = ((long)0); 
BgL_loopz00_1107:
{ /* ./Globalize/walk.scm 15 */
bool_t BgL_test3137z00_1108;
BgL_test3137z00_1108 = 
(BgL_iz00_1106==((long)-1)); 
if(BgL_test3137z00_1108)
{ /* ./Globalize/walk.scm 15 */
return BUNSPEC;}  else 
{ /* ./Globalize/walk.scm 15 */
{ /* ./Globalize/walk.scm 15 */
obj_t BgL_arg3139z00_1109;
{ /* ./Globalize/walk.scm 15 */
obj_t BgL_list3142z00_1110;
BgL_list3142z00_1110 = 
MAKE_PAIR(BgL_cportz00_1105, BNIL); 
BgL_arg3139z00_1109 = 
BGl_readz00zz__readerz00(BgL_list3142z00_1110); } 
{ /* ./Globalize/walk.scm 15 */
int BgL_auxz00_1131;
BgL_auxz00_1131 = 
(int)(BgL_iz00_1106); 
CNST_TABLE_SET(BgL_auxz00_1131, BgL_arg3139z00_1109); } } 
{ /* ./Globalize/walk.scm 15 */
int BgL_auxz00_1111;
{ /* ./Globalize/walk.scm 15 */
long BgL_auxz00_1134;
BgL_auxz00_1134 = 
(BgL_iz00_1106-((long)1)); 
BgL_auxz00_1111 = 
(int)(BgL_auxz00_1134); } 
{ 
long BgL_iz00_1137;
BgL_iz00_1137 = 
(long)(BgL_auxz00_1111); 
BgL_iz00_1106 = BgL_iz00_1137; 
goto BgL_loopz00_1107;} } } } } } } 
}



/* globalize-walk! */
BGL_EXPORTED_DEF obj_t BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t BgL_globalsz00_1, obj_t BgL_removez00_2)
{ AN_OBJECT;
{ /* ./Globalize/walk.scm 28 */
{ /* ./Globalize/walk.scm 29 */
obj_t BgL_list2666z00_660;
{ /* ./Globalize/walk.scm 29 */
obj_t BgL_arg2669z00_662;
{ /* ./Globalize/walk.scm 29 */
obj_t BgL_arg2673z00_664;
{ /* ./Globalize/walk.scm 29 */
obj_t BgL_auxz00_1139;
BgL_auxz00_1139 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2673z00_664 = 
MAKE_PAIR(BgL_auxz00_1139, BNIL); } 
BgL_arg2669z00_662 = 
MAKE_PAIR(BGl_string3129z00zzglobaliza7e_walkza7, BgL_arg2673z00_664); } 
BgL_list2666z00_660 = 
MAKE_PAIR(BGl_string3130z00zzglobaliza7e_walkza7, BgL_arg2669z00_662); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2666z00_660); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3129z00zzglobaliza7e_walkza7; 
{ 
obj_t BgL_hooksz00_665;obj_t BgL_hnamesz00_666;
{ /* ./Globalize/walk.scm 29 */
obj_t BgL_arg2677z00_668;
BgL_arg2677z00_668 = BNIL; 
BgL_hooksz00_665 = BgL_arg2677z00_668; 
BgL_hnamesz00_666 = BNIL; 
BgL_loopz00_667:
{ /* ./Globalize/walk.scm 29 */
bool_t BgL_test2682z00_671;
BgL_test2682z00_671 = 
NULLP(BgL_hooksz00_665); 
if(BgL_test2682z00_671)
{ /* ./Globalize/walk.scm 29 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./Globalize/walk.scm 29 */
bool_t BgL_test2683z00_672;
{ /* ./Globalize/walk.scm 29 */
obj_t BgL_fun2699z00_678;
BgL_fun2699z00_678 = 
CAR(BgL_hooksz00_665); 
{ /* ./Globalize/walk.scm 29 */
obj_t BgL_auxz00_1151;
BgL_auxz00_1151 = 
PROCEDURE_ENTRY(BgL_fun2699z00_678)(BgL_fun2699z00_678, BEOA); 
BgL_test2683z00_672 = 
CBOOL(BgL_auxz00_1151); } } 
if(BgL_test2683z00_672)
{ /* ./Globalize/walk.scm 29 */
{ /* ./Globalize/walk.scm 29 */
obj_t BgL_arg2685z00_673;obj_t BgL_arg2686z00_674;
BgL_arg2685z00_673 = 
CDR(BgL_hooksz00_665); 
BgL_arg2686z00_674 = 
CDR(BgL_hnamesz00_666); 
{ 
obj_t BgL_hnamesz00_1159;obj_t BgL_hooksz00_1158;
BgL_hooksz00_1158 = BgL_arg2685z00_673; 
BgL_hnamesz00_1159 = BgL_arg2686z00_674; 
BgL_hnamesz00_666 = BgL_hnamesz00_1159; 
BgL_hooksz00_665 = BgL_hooksz00_1158; 
goto BgL_loopz00_667;} } }  else 
{ /* ./Globalize/walk.scm 29 */
{ /* ./Globalize/walk.scm 29 */
obj_t BgL_arg2693z00_677;
BgL_arg2693z00_677 = 
CAR(BgL_hnamesz00_666); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3129z00zzglobaliza7e_walkza7, BGl_string3131z00zzglobaliza7e_walkza7, BgL_arg2693z00_677); } } } } } } 
{ 
obj_t BgL_l2662z00_679;
BgL_l2662z00_679 = BgL_globalsz00_1; 
BgL_forzd2each2663zd2_680:
{ /* ./Globalize/walk.scm 31 */
bool_t BgL_test2703z00_681;
BgL_test2703z00_681 = 
PAIRP(BgL_l2662z00_679); 
if(BgL_test2703z00_681)
{ /* ./Globalize/walk.scm 31 */
{ /* ./Globalize/walk.scm 31 */
obj_t BgL_arg2705z00_682;
BgL_arg2705z00_682 = 
CAR(BgL_l2662z00_679); 
BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(
(BgL_variablez00_bglt)(BgL_arg2705z00_682)); } 
{ /* ./Globalize/walk.scm 31 */
obj_t BgL_arg2709z00_683;
BgL_arg2709z00_683 = 
CDR(BgL_l2662z00_679); 
{ 
obj_t BgL_l2662z00_1168;
BgL_l2662z00_1168 = BgL_arg2709z00_683; 
BgL_l2662z00_679 = BgL_l2662z00_1168; 
goto BgL_forzd2each2663zd2_680;} } }  else 
{ /* ./Globalize/walk.scm 31 */((bool_t)1); } } } 
{ 
obj_t BgL_globalsz00_684;obj_t BgL_newzd2globalszd2_685;
BgL_globalsz00_684 = BgL_globalsz00_1; 
BgL_newzd2globalszd2_685 = BNIL; 
BgL_loopz00_686:
{ /* ./Globalize/walk.scm 35 */
bool_t BgL_test2714z00_687;
BgL_test2714z00_687 = 
NULLP(BgL_globalsz00_684); 
if(BgL_test2714z00_687)
{ /* ./Globalize/walk.scm 36 */
obj_t BgL_valuez00_688;
{ /* ./Globalize/walk.scm 37 */
obj_t BgL_arg2757z00_708;
{ /* ./Globalize/walk.scm 37 */
obj_t BgL_arg2760z00_709;
BgL_arg2760z00_709 = 
BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75(); 
BgL_arg2757z00_708 = 
bgl_append2(BgL_newzd2globalszd2_685, BgL_arg2760z00_709); } 
BgL_valuez00_688 = 
BGl_removezd2varzd2zzast_removez00(BgL_removez00_2, BgL_arg2757z00_708); } 
{ /* ./Globalize/walk.scm 36 */
bool_t BgL_test2715z00_689;
{ /* ./Globalize/walk.scm 36 */
long BgL_n1z00_1083;
BgL_n1z00_1083 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2715z00_689 = 
(BgL_n1z00_1083>((long)0)); } 
if(BgL_test2715z00_689)
{ /* ./Globalize/walk.scm 36 */
{ /* ./Globalize/walk.scm 36 */
obj_t BgL_port2664z00_690;
BgL_port2664z00_690 = 
BGL_CURRENT_ERROR_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_port2664z00_690); 
display_string(BGl_string3132z00zzglobaliza7e_walkza7, BgL_port2664z00_690); 
{ /* ./Globalize/walk.scm 36 */
char * BgL_arg2719z00_691;
{ /* ./Globalize/walk.scm 36 */
bool_t BgL_test2721z00_692;
{ /* ./Globalize/walk.scm 36 */
bool_t BgL_test2722z00_693;
{ /* ./Globalize/walk.scm 36 */
bool_t BgL_res3105z00_1091;
{ /* ./Globalize/walk.scm 36 */
obj_t BgL_objz00_1085;
BgL_objz00_1085 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* ./Globalize/walk.scm 36 */
bool_t BgL_test1396z00_1086;
BgL_test1396z00_1086 = 
INTEGERP(BgL_objz00_1085); 
if(BgL_test1396z00_1086)
{ /* ./Globalize/walk.scm 36 */
BgL_res3105z00_1091 = ((bool_t)1); }  else 
{ /* ./Globalize/walk.scm 36 */
bool_t BgL_test1397z00_1087;
BgL_test1397z00_1087 = 
REALP(BgL_objz00_1085); 
if(BgL_test1397z00_1087)
{ /* ./Globalize/walk.scm 36 */
double BgL_arg1399z00_1088;
BgL_arg1399z00_1088 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_1085)); 
{ /* ./Globalize/walk.scm 36 */
double BgL_auxz00_1186;
BgL_auxz00_1186 = 
REAL_TO_DOUBLE(BgL_objz00_1085); 
BgL_res3105z00_1091 = 
(BgL_auxz00_1186==BgL_arg1399z00_1088); } }  else 
{ /* ./Globalize/walk.scm 36 */
BgL_res3105z00_1091 = ((bool_t)0); } } } } 
BgL_test2722z00_693 = BgL_res3105z00_1091; } 
if(BgL_test2722z00_693)
{ /* ./Globalize/walk.scm 36 */
BgL_test2721z00_692 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* ./Globalize/walk.scm 36 */
BgL_test2721z00_692 = ((bool_t)0); } } 
if(BgL_test2721z00_692)
{ /* ./Globalize/walk.scm 36 */
BgL_arg2719z00_691 = "s"; }  else 
{ /* ./Globalize/walk.scm 36 */
BgL_arg2719z00_691 = ""; } } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2719z00_691), BgL_port2664z00_690); } 
display_string(BGl_string3133z00zzglobaliza7e_walkza7, BgL_port2664z00_690); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2664z00_690); } 
{ /* ./Globalize/walk.scm 36 */
obj_t BgL_list2729z00_694;
{ /* ./Globalize/walk.scm 36 */
obj_t BgL_auxz00_1197;
BgL_auxz00_1197 = 
BINT(((long)-1)); 
BgL_list2729z00_694 = 
MAKE_PAIR(BgL_auxz00_1197, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2729z00_694);} }  else 
{ 
obj_t BgL_hooksz00_695;obj_t BgL_hnamesz00_696;
{ /* ./Globalize/walk.scm 36 */
obj_t BgL_arg2732z00_698;
BgL_arg2732z00_698 = BNIL; 
BgL_hooksz00_695 = BgL_arg2732z00_698; 
BgL_hnamesz00_696 = BNIL; 
BgL_loopz00_697:
{ /* ./Globalize/walk.scm 36 */
bool_t BgL_test2737z00_701;
BgL_test2737z00_701 = 
NULLP(BgL_hooksz00_695); 
if(BgL_test2737z00_701)
{ /* ./Globalize/walk.scm 36 */
return BgL_valuez00_688;}  else 
{ /* ./Globalize/walk.scm 36 */
bool_t BgL_test2738z00_702;
{ /* ./Globalize/walk.scm 36 */
obj_t BgL_fun2752z00_707;
BgL_fun2752z00_707 = 
CAR(BgL_hooksz00_695); 
{ /* ./Globalize/walk.scm 36 */
obj_t BgL_auxz00_1204;
BgL_auxz00_1204 = 
PROCEDURE_ENTRY(BgL_fun2752z00_707)(BgL_fun2752z00_707, BEOA); 
BgL_test2738z00_702 = 
CBOOL(BgL_auxz00_1204); } } 
if(BgL_test2738z00_702)
{ /* ./Globalize/walk.scm 36 */
{ /* ./Globalize/walk.scm 36 */
obj_t BgL_arg2740z00_703;obj_t BgL_arg2741z00_704;
BgL_arg2740z00_703 = 
CDR(BgL_hooksz00_695); 
BgL_arg2741z00_704 = 
CDR(BgL_hnamesz00_696); 
{ 
obj_t BgL_hnamesz00_1212;obj_t BgL_hooksz00_1211;
BgL_hooksz00_1211 = BgL_arg2740z00_703; 
BgL_hnamesz00_1212 = BgL_arg2741z00_704; 
BgL_hnamesz00_696 = BgL_hnamesz00_1212; 
BgL_hooksz00_695 = BgL_hooksz00_1211; 
goto BgL_loopz00_697;} } }  else 
{ /* ./Globalize/walk.scm 36 */
{ /* ./Globalize/walk.scm 36 */
obj_t BgL_arg2747z00_706;
BgL_arg2747z00_706 = 
CAR(BgL_hnamesz00_696); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3134z00zzglobaliza7e_walkza7, BgL_arg2747z00_706);} } } } } } } }  else 
{ /* ./Globalize/walk.scm 38 */
obj_t BgL_arg2764z00_710;obj_t BgL_arg2765z00_711;
BgL_arg2764z00_710 = 
CDR(BgL_globalsz00_684); 
{ /* ./Globalize/walk.scm 39 */
obj_t BgL_arg2769z00_712;
{ /* ./Globalize/walk.scm 39 */
obj_t BgL_arg2772z00_713;
BgL_arg2772z00_713 = 
CAR(BgL_globalsz00_684); 
BgL_arg2769z00_712 = 
BGl_globaliza7ez12zb5zzglobaliza7e_globaliza7ez00(
(BgL_globalz00_bglt)(BgL_arg2772z00_713)); } 
BgL_arg2765z00_711 = 
bgl_append2(BgL_arg2769z00_712, BgL_newzd2globalszd2_685); } 
{ 
obj_t BgL_newzd2globalszd2_1221;obj_t BgL_globalsz00_1220;
BgL_globalsz00_1220 = BgL_arg2764z00_710; 
BgL_newzd2globalszd2_1221 = BgL_arg2765z00_711; 
BgL_newzd2globalszd2_685 = BgL_newzd2globalszd2_1221; 
BgL_globalsz00_684 = BgL_globalsz00_1220; 
goto BgL_loopz00_686;} } } } } 
}



/* _globalize-walk! */
obj_t BGl__globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t BgL_envz00_1102, obj_t BgL_globalsz00_1103, obj_t BgL_removez00_1104)
{ AN_OBJECT;
{ /* ./Globalize/walk.scm 28 */
return 
BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(BgL_globalsz00_1103, BgL_removez00_1104);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzglobaliza7e_walkza7()
{ AN_OBJECT;
{ /* ./Globalize/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_walkza7()
{ AN_OBJECT;
{ /* ./Globalize/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_escapeza7(((long)20936), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(((long)47811), "globalize_walk"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(((long)53871), "globalize_walk"); 
return 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)12493), "globalize_walk");} 
}

